﻿using System;
using System.Diagnostics;
using System.IO;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.AppStyling;
using Infragistics.Win.AppStyling.Runtime;
using Infragistics.Win.UltraWinGrid;
using System.Drawing.Imaging;


namespace Filter
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.grid.UpdateMode = UpdateMode.OnUpdate;
            this.grid.InitializeLayout += new InitializeLayoutEventHandler(grid_InitializeLayout);
            this.grid.DataSource = this.Table;

            this.grid.MouseDown += new MouseEventHandler(grid_MouseDown);
            this.grid.DisplayLayout.Override.AllowRowFiltering = DefaultableBoolean.True;
            this.grid.DisplayLayout.Override.FilterUIType = FilterUIType.FilterRow;
        }

        void grid_MouseDown(object sender, MouseEventArgs e)
        {
            UltraGrid grid = sender as UltraGrid;
            UIElement element = grid.DisplayLayout.UIElement.ElementFromPoint(e.Location);
            UltraGridRow row = element != null ? element.GetContext(typeof(UltraGridRow)) as UltraGridRow : null;
            object listObject = row != null ? row.ListObject : null;
            DataRowView drv = listObject as DataRowView;
            DataRow dataRow = drv != null ? drv.Row : null;

            if (dataRow != null)
                MessageBox.Show(dataRow["name"].ToString());
        }
   

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
        }

        void grid_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
        }

        private DataTable Table
        {
            get
            {
                DataTable table = new DataTable();

                table.Columns.Add("Name", typeof(string));
                table.Columns.Add("Number", typeof(int));

                table.Rows.Add(new object[]{"A", 1});
                table.Rows.Add(new object[]{"B", 2});
                table.Rows.Add(new object[]{"C", 3});

                return table;
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.grid.UpdateData();
        }
    }

}
